%Import Capacitor charge & discharge data
% LAST UPDATED by Andy French Mar 2020

function import_data
disp(' '); disp(' Importing data from Excel...' )

%Import resistances /ohms
[num,txt,raw] = xlsread( 'Capacitor charge & discharge.xlsx',...
    'Resistances' );
R = num(:,2).';

%Import data from Excel
num_runs = 15;
for n=1:15
    [num,txt,raw] = xlsread( 'Capacitor charge & discharge.xlsx',...
        ['Sheet',num2str(n)] );
    data(n).I_mA = num(:,1);
    data(n).V_volts = num(:,2);
    data(n).t_s = num(:,3);
    data(n).R_ohms = R(n);
end

%Save data to a .mat file
save( 'capacitor data','data','R' );
disp(' Data saved to file capacitor_data.mat. '];

%End of code